MotorWare f2806x Driver API Documentation

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Typedefs | Enumerations | Functions
ADC

## Data Structures
struct | _ADC_Obj_
| Defines the analog-to-digital converter (ADC) object. More...

## Macros
#define | ADC_BASE_ADDR (0x00000B00)
| Defines the base address of the analog-to-digital converter (ADC) registers. More...
#define | ADC_DELAY_usec 10000L
| Defines the ADC delay for part of the ADC initialization. More...
#define | ADC_numBits 12
| Defines the number of ADC bits. More...
#define | ADC_dataBias (1 << (ADC_numBits - 1))
| Defines the bias value corresponding to a voltage bias of 1.65V on the input data (3.3V input, 12 bit ADC) More...
#define | ADC_ADCCTL1_TEMPCONV_BITS (1 << 0)
| Defines the location of the TEMPCONV bits in the ADCTL1 register. More...
#define | ADC_ADCCTL1_VREFLOCONV_BITS (1 << 1)
| Defines the location of the VREFLOCONV bits in the ADCTL1 register. More...
#define | ADC_ADCCTL1_INTPULSEPOS_BITS (1 << 2)
| Defines the location of the INTPULSEPOS bits in the ADCTL1 register. More...
#define | ADC_ADCCTL1_ADCREFSEL_BITS (1 << 3)
| Defines the location of the ADCREFSEL bits in the ADCTL1 register. More...
#define | ADC_ADCCTL1_ADCREFPWD_BITS (1 << 5)
| Defines the location of the ADCREFPWD bits in the ADCTL1 register. More...
#define | ADC_ADCCTL1_ADCBGPWD_BITS (1 << 6)
| Defines the location of the ADCBGPWD bits in the ADCTL1 register. More...
#define | ADC_ADCCTL1_ADCPWDN_BITS (1 << 7)
| Defines the location of the ADCPWDN bits in the ADCTL1 register. More...
#define | ADC_ADCCTL1_ADCBSYCHAN_BITS (31 << 8)
| Defines the location of the ADCBSYCHAN bits in the ADCTL1 register. More...
#define | ADC_ADCCTL1_ADCBSY_BITS (1 << 13)
| Defines the location of the ADCBSY bits in the ADCTL1 register. More...
#define | ADC_ADCCTL1_ADCENABLE_BITS (1 << 14)
| Defines the location of the ADCENABLE bits in the ADCTL1 register. More...
#define | ADC_ADCCTL1_RESET_BITS (1 << 15)
| Defines the location of the RESET bits in the ADCTL1 register. More...
#define | ADC_ADCCTL2_CLKDIV2EN_BITS (1 << 0)
| Defines the location of the CLKDIV2EN bits in the ADCTL2 register. More...
#define | ADC_ADCCTL2_CLKDIV4EN_BITS (1 << 2)
| Defines the location of the CLKDIV4EN bits in the ADCTL2 register. More...
#define | ADC_ADCCTL2_ADCNONOVERLAP_BITS (1 << 1)
| Defines the location of the ADCNONOVERLAP bits in the ADCTL2 register. More...
#define | ADC_INTSELxNy_NUMBITS_PER_REG 8
| Defines the number of bits per INTSELxNy register. More...
#define | ADC_INTSELxNy_LOG2_NUMBITS_PER_REG 3
| Defines the log2() of the number of bits per INTSELxNy register. More...
#define | ADC_INTSELxNy_INTSEL_BITS (31 << 0)
| Defines the location of the INTSEL bits in the INTSELxNy register. More...
#define | ADC_INTSELxNy_INTE_BITS (1 << 5)
| Defines the location of the INTE bits in the INTSELxNy register. More...
#define | ADC_INTSELxNy_INTCONT_BITS (1 << 6)
| Defines the location of the INTCONT bits in the INTSELxNy register. More...
#define | ADC_ADCSOCxCTL_ACQPS_BITS (63 << 0)
| Defines the location of the ACQPS bits in the ADCSOCxCTL register. More...
#define | ADC_ADCSOCxCTL_CHSEL_BITS (15 << 6)
| Defines the location of the CHSEL bits in the ADCSOCxCTL register. More...
#define | ADC_ADCSOCxCTL_TRIGSEL_BITS (31 << 11)
| Defines the location of the TRIGSEL bits in the ADCSOCxCTL register. More...
#define | ADC_ADCINTSOCSELx_SOCx_BITS 3
| Defines the location of the SOCx bits in the ADCINTSOCSELx register. More...
#define | ADC_ADCSAMPLEMODE_SIMULEN0_BITS (1 << 0)
| Defines the location of the SIMULEN0 bits in the ADCSAMPLEMODE register. More...
#define | ADC_ADCSAMPLEMODE_SIMULEN2_BITS (1 << 1)
| Defines the location of the SIMULEN2 bits in the ADCSAMPLEMODE register. More...
#define | ADC_ADCSAMPLEMODE_SIMULEN4_BITS (1 << 2)
| Defines the location of the SIMULEN4 bits in the ADCSAMPLEMODE register. More...
#define | ADC_ADCSAMPLEMODE_SIMULEN6_BITS (1 << 3)
| Defines the location of the SIMULEN6 bits in the ADCSAMPLEMODE register. More...
#define | ADC_ADCSAMPLEMODE_SIMULEN8_BITS (1 << 4)
| Defines the location of the SIMULEN8 bits in the ADCSAMPLEMODE register. More...
#define | ADC_ADCSAMPLEMODE_SIMULEN10_BITS (1 << 5)
| Defines the location of the SIMULEN10 bits in the ADCSAMPLEMODE register. More...
#define | ADC_ADCSAMPLEMODE_SIMULEN12_BITS (1 << 6)
| Defines the location of the SIMULEN12 bits in the ADCSAMPLEMODE register. More...
#define | ADC_ADCSAMPLEMODE_SIMULEN14_BITS (1 << 7)
| Defines the location of the SIMULEN14 bits in the ADCSAMPLEMODE register. More...
#define | ADC_ADCSAMPLEMODE_SEPARATE_FLAG 0x100
| Define for the channel separate flag. More...

## Typedefs
typedef struct _ADC_Obj_ | ADC_Obj
| Defines the analog-to-digital converter (ADC) object. More...
typedef struct _ADC_Obj_ * | ADC_Handle
| Defines the analog-to-digital converter (ADC) handle. More...

## Enumerations
enum | ADC_DivideSelect_e { ADC_DivideSelect_ClkIn_by_1 =0, ADC_DivideSelect_ClkIn_by_2 =1, ADC_DivideSelect_ClkIn_by_4 =5 }
| Enumeration to define the start of conversion (SOC) numbers. More...
enum | ADC_IntNumber_e { ADC_IntNumber_1 =0, ADC_IntNumber_2, ADC_IntNumber_3, ADC_IntNumber_4, ADC_IntNumber_5, ADC_IntNumber_6, ADC_IntNumber_7, ADC_IntNumber_8, ADC_IntNumber_9, ADC_IntNumber_1HP, ADC_IntNumber_2HP, ADC_IntNumber_9HP =0xE }
| Enumeration to define the analog-to-digital converter (ADC) interrupt number. More...
enum | ADC_IntMode_e { ADC_IntMode_ClearFlag =(0 << 6), ADC_IntMode_EOC =(1 << 6) }
| Enumeration to define the analog-to-digital converter (ADC) interrupt mode. More...
enum | ADC_ADCCTL2_ADCNONOVERLAP_e { ADC_ADCCTL2_Overlap =0, ADC_ADCCTL2_NoOverlap }
| Enumeration to define the analog-to-digital converter (ADC) sample and conversion overlap setting. More...
enum | ADC_IntTriggerSOC_e { ADC_NoIntTriggersSOC =0, ADC_Int1TriggersSOC, ADC_Int2TriggersSOC }
| Enumeration to define the analog-to-digital converter (ADC) input trigger SOC Select 1 Register group of bits. More...
enum | ADC_IntPulseGenMode_e { ADC_IntPulseGenMode_During =(0 << 2), ADC_IntPulseGenMode_Prior =(1 << 2) }
| Enumeration to define the analog-to-digital converter (ADC) interrupt pulse generation mode. More...
enum | ADC_IntSrc_e { ADC_IntSrc_EOC0 =(0 << 0), ADC_IntSrc_EOC1 =(1 << 0), ADC_IntSrc_EOC2 =(2 << 0), ADC_IntSrc_EOC3 =(3 << 0), ADC_IntSrc_EOC4 =(4 << 0), ADC_IntSrc_EOC5 =(5 << 0), ADC_IntSrc_EOC6 =(6 << 0), ADC_IntSrc_EOC7 =(7 << 0), ADC_IntSrc_EOC8 =(8 << 0), ADC_IntSrc_EOC9 =(9 << 0), ADC_IntSrc_EOC10 =(10 << 0), ADC_IntSrc_EOC11 =(11 << 0), ADC_IntSrc_EOC12 =(12 << 0), ADC_IntSrc_EOC13 =(13 << 0), ADC_IntSrc_EOC14 =(14 << 0), ADC_IntSrc_EOC15 =(15 << 0) }
| Enumeration to define the analog-to-digital converter (ADC) interrupt source. More...
enum | ADC_ResultNumber_e { ADC_ResultNumber_0 =0, ADC_ResultNumber_1, ADC_ResultNumber_2, ADC_ResultNumber_3, ADC_ResultNumber_4, ADC_ResultNumber_5, ADC_ResultNumber_6, ADC_ResultNumber_7, ADC_ResultNumber_8, ADC_ResultNumber_9, ADC_ResultNumber_10, ADC_ResultNumber_11, ADC_ResultNumber_12, ADC_ResultNumber_13, ADC_ResultNumber_14, ADC_ResultNumber_15 }
| Enumeration to define the analog-to-digital converter (ADC) result number. More...
enum | ADC_SampleMode_e { ADC_SampleMode_SOC0_and_SOC1_Separate =ADC_ADCSAMPLEMODE_SEPARATE_FLAG + (1 << 0), ADC_SampleMode_SOC2_and_SOC3_Separate =ADC_ADCSAMPLEMODE_SEPARATE_FLAG + (1 << 1), ADC_SampleMode_SOC4_and_SOC5_Separate =ADC_ADCSAMPLEMODE_SEPARATE_FLAG + (1 << 2), ADC_SampleMode_SOC6_and_SOC7_Separate =ADC_ADCSAMPLEMODE_SEPARATE_FLAG + (1 << 3), ADC_SampleMode_SOC8_and_SOC9_Separate =ADC_ADCSAMPLEMODE_SEPARATE_FLAG + (1 << 4), ADC_SampleMode_SOC10_and_SOC11_Separate =ADC_ADCSAMPLEMODE_SEPARATE_FLAG + (1 << 5), ADC_SampleMode_SOC12_and_SOC13_Separate =ADC_ADCSAMPLEMODE_SEPARATE_FLAG + (1 << 6), ADC_SampleMode_SOC14_and_SOC15_Separate =ADC_ADCSAMPLEMODE_SEPARATE_FLAG + (1 << 7), ADC_SampleMode_SOC0_and_SOC1_Together =(1 << 0), ADC_SampleMode_SOC2_and_SOC3_Together =(1 << 1), ADC_SampleMode_SOC4_and_SOC5_Together =(1 << 2), ADC_SampleMode_SOC6_and_SOC7_Together =(1 << 3), ADC_SampleMode_SOC8_and_SOC9_Together =(1 << 4), ADC_SampleMode_SOC10_and_SOC11_Together =(1 << 5), ADC_SampleMode_SOC12_and_SOC13_Together =(1 << 6), ADC_SampleMode_SOC14_and_SOC15_Together =(1 << 7) }
| Enumeration to define the analog-to-digital converter (ADC) sample modes. More...
enum | ADC_SocChanNumber_e { ADC_SocChanNumber_A0 =(0 << 6), ADC_SocChanNumber_A1 =(1 << 6), ADC_SocChanNumber_A2 =(2 << 6), ADC_SocChanNumber_A3 =(3 << 6), ADC_SocChanNumber_A4 =(4 << 6), ADC_SocChanNumber_A5 =(5 << 6), ADC_SocChanNumber_A6 =(6 << 6), ADC_SocChanNumber_A7 =(7 << 6), ADC_SocChanNumber_B0 =(8 << 6), ADC_SocChanNumber_B1 =(9 << 6), ADC_SocChanNumber_B2 =(10 << 6), ADC_SocChanNumber_B3 =(11 << 6), ADC_SocChanNumber_B4 =(12 << 6), ADC_SocChanNumber_B5 =(13 << 6), ADC_SocChanNumber_B6 =(14 << 6), ADC_SocChanNumber_B7 =(15 << 6), ADC_SocChanNumber_A0_and_B0_Together =(0 << 6), ADC_SocChanNumber_A1_and_B1_Together =(1 << 6), ADC_SocChanNumber_A2_and_B2_Together =(2 << 6), ADC_SocChanNumber_A3_and_B3_Together =(3 << 6), ADC_SocChanNumber_A4_and_B4_Together =(4 << 6), ADC_SocChanNumber_A5_and_B5_Together =(5 << 6), ADC_SocChanNumber_A6_and_B6_Together =(6 << 6), ADC_SocChanNumber_A7_and_B7_Together =(7 << 6) }
| Enumeration to define the start of conversion (SOC) channel numbers. More...
enum | ADC_SocNumber_e { ADC_SocNumber_0 =0, ADC_SocNumber_1, ADC_SocNumber_2, ADC_SocNumber_3, ADC_SocNumber_4, ADC_SocNumber_5, ADC_SocNumber_6, ADC_SocNumber_7, ADC_SocNumber_8, ADC_SocNumber_9, ADC_SocNumber_10, ADC_SocNumber_11, ADC_SocNumber_12, ADC_SocNumber_13, ADC_SocNumber_14, ADC_SocNumber_15 }
| Enumeration to define the start of conversion (SOC) numbers. More...
enum | ADC_SocSampleDelay_e { ADC_SocSampleDelay_7_cycles =6, ADC_SocSampleDelay_8_cycles =7, ADC_SocSampleDelay_9_cycles =8, ADC_SocSampleDelay_10_cycles =9, ADC_SocSampleDelay_11_cycles =10, ADC_SocSampleDelay_12_cycles =11, ADC_SocSampleDelay_13_cycles =12, ADC_SocSampleDelay_14_cycles =13, ADC_SocSampleDelay_15_cycles =14, ADC_SocSampleDelay_16_cycles =15, ADC_SocSampleDelay_22_cycles =21, ADC_SocSampleDelay_23_cycles =22, ADC_SocSampleDelay_24_cycles =23, ADC_SocSampleDelay_25_cycles =24, ADC_SocSampleDelay_26_cycles =25, ADC_SocSampleDelay_27_cycles =26, ADC_SocSampleDelay_28_cycles =27, ADC_SocSampleDelay_29_cycles =28, ADC_SocSampleDelay_35_cycles =34, ADC_SocSampleDelay_36_cycles =35, ADC_SocSampleDelay_37_cycles =36, ADC_SocSampleDelay_38_cycles =37, ADC_SocSampleDelay_39_cycles =38, ADC_SocSampleDelay_40_cycles =39, ADC_SocSampleDelay_41_cycles =40, ADC_SocSampleDelay_42_cycles =41, ADC_SocSampleDelay_48_cycles =47, ADC_SocSampleDelay_49_cycles =48, ADC_SocSampleDelay_50_cycles =49, ADC_SocSampleDelay_51_cycles =50, ADC_SocSampleDelay_52_cycles =51, ADC_SocSampleDelay_53_cycles =52, ADC_SocSampleDelay_54_cycles =53, ADC_SocSampleDelay_55_cycles =54, ADC_SocSampleDelay_61_cycles =60, ADC_SocSampleDelay_62_cycles =61, ADC_SocSampleDelay_63_cycles =62, ADC_SocSampleDelay_64_cycles =63 }
| Enumeration to define the start of conversion (SOC) sample delays. More...
enum | ADC_SocTrigSrc_e { ADC_SocTrigSrc_Sw =(0 << 11), ADC_SocTrigSrc_CpuTimer_0 =(1 << 11), ADC_SocTrigSrc_CpuTimer_1 =(2 << 11), ADC_SocTrigSrc_CpuTimer_2 =(3 << 11), ADC_SocTrigSrc_XINT2_XINT2SOC =(4 << 11), ADC_SocTrigSrc_EPWM1_ADCSOCA =(5 << 11), ADC_SocTrigSrc_EPWM1_ADCSOCB =(6 << 11), ADC_SocTrigSrc_EPWM2_ADCSOCA =(7 << 11), ADC_SocTrigSrc_EPWM2_ADCSOCB =(8 << 11), ADC_SocTrigSrc_EPWM3_ADCSOCA =(9 << 11), ADC_SocTrigSrc_EPWM3_ADCSOCB =(10 << 11), ADC_SocTrigSrc_EPWM4_ADCSOCA =(11 << 11), ADC_SocTrigSrc_EPWM4_ADCSOCB =(12 << 11), ADC_SocTrigSrc_EPWM5_ADCSOCA =(13 << 11), ADC_SocTrigSrc_EPWM5_ADCSOCB =(14 << 11), ADC_SocTrigSrc_EPWM6_ADCSOCA =(15 << 11), ADC_SocTrigSrc_EPWM6_ADCSOCB =(16 << 11), ADC_SocTrigSrc_EPWM7_ADCSOCA =(17 << 11), ADC_SocTrigSrc_EPWM7_ADCSOCB =(18 << 11), ADC_SocTrigSrc_EPWM8_ADCSOCA =(19 << 11), ADC_SocTrigSrc_EPWM8_ADCSOCB =(20 << 11) }
| Enumeration to define the start of conversion (SOC) trigger source. More...
enum | ADC_TempSensorSrc_e { ADC_TempSensorSrc_Ext =0, ADC_TempSensorSrc_Int }
| Enumeration to define the temperature sensor source. More...
enum | ADC_VoltageRefSrc_e { ADC_VoltageRefSrc_Int =(0 << 3), ADC_VoltageRefSrc_Ext =(1 << 3) }
| Enumeration to define the voltage reference source. More...
enum | ADC_SocFrc_e { ADC_SocFrc_0 =0, ADC_SocFrc_1, ADC_SocFrc_2, ADC_SocFrc_3, ADC_SocFrc_4, ADC_SocFrc_5, ADC_SocFrc_6, ADC_SocFrc_7, ADC_SocFrc_8, ADC_SocFrc_9, ADC_SocFrc_10, ADC_SocFrc_11, ADC_SocFrc_12, ADC_SocFrc_13, ADC_SocFrc_14, ADC_SocFrc_15 }
| Enumeration to define the soc force values. More...

## Functions
static void | ADC_clearIntFlag (ADC_Handle adcHandle, const ADC_IntNumber_e intNumber)
| Clears the analog-to-digital converter (ADC) interrupt flag. More...
static bool | ADC_getIntFlag (ADC_Handle adcHandle, const ADC_IntNumber_e intNumber)
| Gets the analog-to-digital converter (ADC) interrupt flag. More...
void | ADC_disable (ADC_Handle adcHandle)
| Disables the analog-to-digital converter (ADC) More...
void | ADC_disableBandGap (ADC_Handle adcHandle)
| Disables the analog-to-digital converter (ADC) band gap circuit. More...
void | ADC_disableInt (ADC_Handle adcHandle, const ADC_IntNumber_e intNumber)
| Disables the analog-to-digital converter (ADC) interrupt. More...
void | ADC_disableRefBuffers (ADC_Handle adcHandle)
| Disables the analog-to-digital converter (ADC) reference buffers circuit. More...
void | ADC_enable (ADC_Handle adcHandle)
| Enables the analog-to-digital converter (ADC) More...
void | ADC_enableBandGap (ADC_Handle adcHandle)
| Enables the analog-to-digital converter (ADC) band gap circuit. More...
void | ADC_enableInt (ADC_Handle adcHandle, const ADC_IntNumber_e intNumber)
| Enables the analog-to-digital converter (ADC) interrupt. More...
void | ADC_enableRefBuffers (ADC_Handle adcHandle)
| Enables the analog-to-digital converter (ADC) reference buffers circuit. More...
ADC_DivideSelect_e | ADC_getDivideSelect (ADC_Handle adcHandle)
| Gets the analog-to-digital converter (ADC) divide select value. More...
static ADC_SocSampleDelay_e | ADC_getSocSampleDelay (ADC_Handle adcHandle, const ADC_SocNumber_e socNumber)
| Gets the analog-to-digital converter (ADC) start-of-conversion (SOC) sample delay value. More...
ADC_Handle | ADC_init (void *pMemory, const size_t numBytes)
| Initializes the analog-to-digital converter (ADC) object handle. More...
void | ADC_powerDown (ADC_Handle adcHandle)
| Powers down the analog-to-digital converter (ADC) More...
void | ADC_powerUp (ADC_Handle adcHandle)
| Powers up the analog-to-digital converter (ADC) More...
static uint_least16_t | ADC_readResult (ADC_Handle adcHandle, const ADC_ResultNumber_e resultNumber)
| Reads the specified ADC result (i.e. value) More...
void | ADC_reset (ADC_Handle adcHandle)
| Resets the analog-to-digital converter (ADC) More...
void | ADC_setDivideSelect (ADC_Handle adcHandle, const ADC_DivideSelect_e divSelect)
| Sets the analog-to-digital converter (ADC) divide select value. More...
void | ADC_setIntMode (ADC_Handle adcHandle, const ADC_IntNumber_e intNumber, const ADC_IntMode_e intMode)
| Sets the interrupt mode. More...
void | ADC_setIntPulseGenMode (ADC_Handle adcHandle, const ADC_IntPulseGenMode_e pulseMode)
| Sets the interrupt pulse generation mode. More...
void | ADC_setIntSrc (ADC_Handle adcHandle, const ADC_IntNumber_e intNumber, const ADC_IntSrc_e intSrc)
| Sets the interrupt source. More...
void | ADC_setSampleMode (ADC_Handle adcHandle, const ADC_SampleMode_e sampleMode)
| Sets the sample mode. More...
void | ADC_setSocChanNumber (ADC_Handle adcHandle, const ADC_SocNumber_e socNumber, const ADC_SocChanNumber_e chanNumber)
| Sets the start-of-conversion (SOC) channel number. More...
void | ADC_setSocSampleDelay (ADC_Handle adcHandle, const ADC_SocNumber_e socNumber, const ADC_SocSampleDelay_e sampleDelay)
| Sets the start-of-conversion (SOC) sample delay. More...
void | ADC_setSocTrigSrc (ADC_Handle adcHandle, const ADC_SocNumber_e socNumber, const ADC_SocTrigSrc_e trigSrc)
| Sets the start-of-conversion (SOC) trigger source. More...
void | ADC_setSocFrc (ADC_Handle adcHandle, const ADC_SocFrc_e socFrc)
| Sets the start-of-conversion (SOC) force register. More...
void | ADC_setTempSensorSrc (ADC_Handle adcHandle, const ADC_TempSensorSrc_e sensorSrc)
| Sets the temperature sensor source. More...
void | ADC_setVoltRefSrc (ADC_Handle adcHandle, const ADC_VoltageRefSrc_e voltRef)
| Sets the voltage reference source. More...
void | ADC_setOffTrim (ADC_Handle adcHandle, const uint16_t offtrim)
| Sets the offset trim register. More...
void | ADC_enableVoltRefLoConv (ADC_Handle adcHandle)
| Enables conversion of the voltage reference low signal for calibration. More...
void | ADC_disableVoltRefLoConv (ADC_Handle adcHandle)
| Disables conversion of the voltage reference low signal for calibration. More...
void | ADC_setupSocTrigSrc (ADC_Handle adcHandle, const ADC_SocNumber_e socNumber, const ADC_IntTriggerSOC_e intTrigSrc)
| Sets the start of conversion (SOC) trigger source. More...
void | ADC_setSocFrcWord (ADC_Handle adcHandle, const uint16_t socFrc)
| Sets the entire start of conversion (SOC) force register. More...
void | ADC_enableNoOverlapMode (ADC_Handle adcHandle)
| Enables no overlap mode. More...
void | ADC_disableNoOverlapMode (ADC_Handle adcHandle)
| Disables no overlap mode. More...

## Detailed Description

## Data Structure Documentation

struct _ADC_Obj_

Defines the analog-to-digital converter (ADC) object.

Definition at line 50 of file adc_obj.h.

Data Fields
volatile uint16_t | ADCCTL1 | ADC Control Register 1.
volatile uint16_t | ADCCTL2 | ADC Control Register 2.
volatile uint16_t | ADCINTFLG | ADC Interrupt Flag Register.
volatile uint16_t | ADCINTFLGCLR | ADC Interrupt Flag Clear Register.
volatile uint16_t | ADCINTOVF | ADC Interrupt Overflow Register.
volatile uint16_t | ADCINTOVFCLR | ADC Interrupt Overflow Clear Register.
volatile uint16_t | ADCINTSOCSEL1 | ADC Interrupt Trigger SOC Select 1 Register.
volatile uint16_t | ADCINTSOCSEL2 | ADC Interrupt Trigger SOC Select 2 Register.
volatile uint16_t | ADCOFFTRIM | ADC Offset Trim Register.
volatile uint16_t | ADCREFTRIM | ADC Reference/Gain Trim Register.
volatile uint16_t | ADCRESULT[16] | ADC result registers.
volatile uint16_t | ADCREV | ADC Revision Register.
volatile uint16_t | ADCSAMPLEMODE | ADC Sample Mode Register.
volatile uint16_t | ADCSOCFLG1 | ADC SOC Flag 1 Register.
volatile uint16_t | ADCSOCFRC1 | ADC SOC Force 1 Register.
volatile uint16_t | ADCSOCOVF1 | ADC SOC Overflow 1 Register.
volatile uint16_t | ADCSOCOVFCLR1 | ADC SOC Overflow Clear 1 Register.
volatile uint16_t | ADCSOCxCTL[16] | ADC SOCx Control Registers.
volatile uint16_t | INTSELxNy[5] | ADC Interrupt Select x and y Register.
volatile uint16_t | resvd_1[26096] | Reserved.
volatile uint16_t | resvd_12[13] | Reserved.
volatile uint16_t | rsvd_10 | Reserved.
volatile uint16_t | rsvd_11[16] | Reserved.
volatile uint16_t | rsvd_2[3] | Reserved.
volatile uint16_t | rsvd_3[3] | Reserved.
volatile uint16_t | rsvd_4 | Reserved.
volatile uint16_t | rsvd_5 | Reserved.
volatile uint16_t | rsvd_6[2] | Reserved.
volatile uint16_t | rsvd_7 | Reserved.
volatile uint16_t | rsvd_8 | Reserved.
volatile uint16_t | rsvd_9 | Reserved.
volatile uint16_t | SOCPRICTRL | ADC Start Of Conversion Priority Control Register.

## Macro Definition Documentation

#define ADC_ADCCTL1_ADCBGPWD_BITS (1 << 6)

Defines the location of the ADCBGPWD bits in the ADCTL1 register.

Definition at line 109 of file adc.h.

Referenced by ADC_disableBandGap(), and ADC_enableBandGap().

#define ADC_ADCCTL1_ADCBSY_BITS (1 << 13)

Defines the location of the ADCBSY bits in the ADCTL1 register.

Definition at line 121 of file adc.h.

#define ADC_ADCCTL1_ADCBSYCHAN_BITS (31 << 8)

Defines the location of the ADCBSYCHAN bits in the ADCTL1 register.

Definition at line 117 of file adc.h.

#define ADC_ADCCTL1_ADCENABLE_BITS (1 << 14)

Defines the location of the ADCENABLE bits in the ADCTL1 register.

Definition at line 125 of file adc.h.

Referenced by ADC_disable(), and ADC_enable().

#define ADC_ADCCTL1_ADCPWDN_BITS (1 << 7)

Defines the location of the ADCPWDN bits in the ADCTL1 register.

Definition at line 113 of file adc.h.

Referenced by ADC_powerDown(), and ADC_powerUp().

#define ADC_ADCCTL1_ADCREFPWD_BITS (1 << 5)

Defines the location of the ADCREFPWD bits in the ADCTL1 register.

Definition at line 105 of file adc.h.

Referenced by ADC_disableRefBuffers(), and ADC_enableRefBuffers().

#define ADC_ADCCTL1_ADCREFSEL_BITS (1 << 3)

Defines the location of the ADCREFSEL bits in the ADCTL1 register.

Definition at line 101 of file adc.h.

Referenced by ADC_setVoltRefSrc().

#define ADC_ADCCTL1_INTPULSEPOS_BITS (1 << 2)

Defines the location of the INTPULSEPOS bits in the ADCTL1 register.

Definition at line 97 of file adc.h.

Referenced by ADC_setIntPulseGenMode().

#define ADC_ADCCTL1_RESET_BITS (1 << 15)

Defines the location of the RESET bits in the ADCTL1 register.

Definition at line 129 of file adc.h.

Referenced by ADC_reset().

#define ADC_ADCCTL1_TEMPCONV_BITS (1 << 0)

Defines the location of the TEMPCONV bits in the ADCTL1 register.

Definition at line 89 of file adc.h.

Referenced by ADC_setTempSensorSrc().

#define ADC_ADCCTL1_VREFLOCONV_BITS (1 << 1)

Defines the location of the VREFLOCONV bits in the ADCTL1 register.

Definition at line 93 of file adc.h.

Referenced by ADC_disableVoltRefLoConv(), and ADC_enableVoltRefLoConv().

#define ADC_ADCCTL2_ADCNONOVERLAP_BITS (1 << 1)

Defines the location of the ADCNONOVERLAP bits in the ADCTL2 register.

Definition at line 141 of file adc.h.

Referenced by ADC_disableNoOverlapMode(), ADC_enableNoOverlapMode(), and ADC_setSampleOverlapMode().

#define ADC_ADCCTL2_CLKDIV2EN_BITS (1 << 0)

Defines the location of the CLKDIV2EN bits in the ADCTL2 register.

Definition at line 133 of file adc.h.

Referenced by ADC_getDivideSelect(), and ADC_setDivideSelect().

#define ADC_ADCCTL2_CLKDIV4EN_BITS (1 << 2)

Defines the location of the CLKDIV4EN bits in the ADCTL2 register.

Definition at line 137 of file adc.h.

Referenced by ADC_getDivideSelect(), and ADC_setDivideSelect().

#define ADC_ADCINTSOCSELx_SOCx_BITS 3

Defines the location of the SOCx bits in the ADCINTSOCSELx register.

Definition at line 177 of file adc.h.

Referenced by ADC_setupSocTrigSrc().

#define ADC_ADCSAMPLEMODE_SEPARATE_FLAG 0x100

Define for the channel separate flag.

Definition at line 214 of file adc.h.

Referenced by ADC_setSampleMode().

#define ADC_ADCSAMPLEMODE_SIMULEN0_BITS (1 << 0)

Defines the location of the SIMULEN0 bits in the ADCSAMPLEMODE register.

Definition at line 181 of file adc.h.

#define ADC_ADCSAMPLEMODE_SIMULEN10_BITS (1 << 5)

Defines the location of the SIMULEN10 bits in the ADCSAMPLEMODE register.

Definition at line 201 of file adc.h.

#define ADC_ADCSAMPLEMODE_SIMULEN12_BITS (1 << 6)

Defines the location of the SIMULEN12 bits in the ADCSAMPLEMODE register.

Definition at line 205 of file adc.h.

#define ADC_ADCSAMPLEMODE_SIMULEN14_BITS (1 << 7)

Defines the location of the SIMULEN14 bits in the ADCSAMPLEMODE register.

Definition at line 209 of file adc.h.

#define ADC_ADCSAMPLEMODE_SIMULEN2_BITS (1 << 1)

Defines the location of the SIMULEN2 bits in the ADCSAMPLEMODE register.

Definition at line 185 of file adc.h.

#define ADC_ADCSAMPLEMODE_SIMULEN4_BITS (1 << 2)

Defines the location of the SIMULEN4 bits in the ADCSAMPLEMODE register.

Definition at line 189 of file adc.h.

#define ADC_ADCSAMPLEMODE_SIMULEN6_BITS (1 << 3)

Defines the location of the SIMULEN6 bits in the ADCSAMPLEMODE register.

Definition at line 193 of file adc.h.

#define ADC_ADCSAMPLEMODE_SIMULEN8_BITS (1 << 4)

Defines the location of the SIMULEN8 bits in the ADCSAMPLEMODE register.

Definition at line 197 of file adc.h.

#define ADC_ADCSOCxCTL_ACQPS_BITS (63 << 0)

Defines the location of the ACQPS bits in the ADCSOCxCTL register.

Definition at line 165 of file adc.h.

Referenced by ADC_getSocSampleDelay(), and ADC_setSocSampleDelay().

#define ADC_ADCSOCxCTL_CHSEL_BITS (15 << 6)

Defines the location of the CHSEL bits in the ADCSOCxCTL register.

Definition at line 169 of file adc.h.

Referenced by ADC_setSocChanNumber().

#define ADC_ADCSOCxCTL_TRIGSEL_BITS (31 << 11)

Defines the location of the TRIGSEL bits in the ADCSOCxCTL register.

Definition at line 173 of file adc.h.

Referenced by ADC_setSocTrigSrc().

#define ADC_BASE_ADDR (0x00000B00)

Defines the base address of the analog-to-digital converter (ADC) registers.

Definition at line 71 of file adc.h.

#define ADC_dataBias (1 << (ADC_numBits - 1))

Defines the bias value corresponding to a voltage bias of 1.65V on the input data (3.3V input, 12 bit ADC)

Definition at line 84 of file adc.h.

#define ADC_DELAY_usec 10000L

Defines the ADC delay for part of the ADC initialization.

Definition at line 76 of file adc.h.

#define ADC_INTSELxNy_INTCONT_BITS (1 << 6)

Defines the location of the INTCONT bits in the INTSELxNy register.

Definition at line 161 of file adc.h.

Referenced by ADC_setIntMode().

#define ADC_INTSELxNy_INTE_BITS (1 << 5)

Defines the location of the INTE bits in the INTSELxNy register.

Definition at line 157 of file adc.h.

Referenced by ADC_disableInt(), and ADC_enableInt().

#define ADC_INTSELxNy_INTSEL_BITS (31 << 0)

Defines the location of the INTSEL bits in the INTSELxNy register.

Definition at line 153 of file adc.h.

Referenced by ADC_setIntSrc().

#define ADC_INTSELxNy_LOG2_NUMBITS_PER_REG 3

Defines the log2() of the number of bits per INTSELxNy register.

Definition at line 149 of file adc.h.

Referenced by ADC_disableInt(), ADC_enableInt(), ADC_setIntMode(), and ADC_setIntSrc().

#define ADC_INTSELxNy_NUMBITS_PER_REG 8

Defines the number of bits per INTSELxNy register.

Definition at line 145 of file adc.h.

Referenced by ADC_disableInt(), ADC_enableInt(), ADC_setIntMode(), and ADC_setIntSrc().

#define ADC_numBits 12

Defines the number of ADC bits.

Definition at line 80 of file adc.h.

## Typedef Documentation

typedef struct _ADC_Obj_* ADC_Handle

Defines the analog-to-digital converter (ADC) handle.

Definition at line 564 of file adc.h.

typedef struct _ADC_Obj_ ADC_Obj

Defines the analog-to-digital converter (ADC) object.

## Enumeration Type Documentation

enum ADC_ADCCTL2_ADCNONOVERLAP_e

Enumeration to define the analog-to-digital converter (ADC) sample and conversion overlap setting.

Enumerator
ADC_ADCCTL2_Overlap | Denotes that sample and conversion overlap is allowed.
ADC_ADCCTL2_NoOverlap | Denotes that sample and conversion overlap is not allowed.

Definition at line 260 of file adc.h.

enum ADC_DivideSelect_e

Enumeration to define the start of conversion (SOC) numbers.

Enumerator
ADC_DivideSelect_ClkIn_by_1 | Denotes Main Clock Prescaling of 0.
ADC_DivideSelect_ClkIn_by_2 | Denotes Main Clock Prescaling of 2.
ADC_DivideSelect_ClkIn_by_4 | Denotes Main Clock Prescaling of 4.

Definition at line 223 of file adc.h.

enum ADC_IntMode_e

Enumeration to define the analog-to-digital converter (ADC) interrupt mode.

Enumerator
ADC_IntMode_ClearFlag | Denotes that a new interrupt with not be generated until the interrupt flag is cleared.
ADC_IntMode_EOC | Denotes that a new interrupt with be generated on the next end of conversion (EOC)

Definition at line 251 of file adc.h.

enum ADC_IntNumber_e

Enumeration to define the analog-to-digital converter (ADC) interrupt number.

Enumerator
ADC_IntNumber_1 | Denotes ADCINT1.
ADC_IntNumber_2 | Denotes ADCINT2.
ADC_IntNumber_3 | Denotes ADCINT3.
ADC_IntNumber_4 | Denotes ADCINT4.
ADC_IntNumber_5 | Denotes ADCINT5.
ADC_IntNumber_6 | Denotes ADCINT6.
ADC_IntNumber_7 | Denotes ADCINT7.
ADC_IntNumber_8 | Denotes ADCINT8.
ADC_IntNumber_9 | Denotes ADCINT9.
ADC_IntNumber_1HP | Denotes ADCINT1 High Priority for use with PIE_enableAdcInt() only.
ADC_IntNumber_2HP | Denotes ADCINT2 High Priority for use with PIE_enableAdcInt() only.
ADC_IntNumber_9HP | Denotes ADCINT9 High Priority for use with PIE_enableAdcInt() only.

Definition at line 232 of file adc.h.

enum ADC_IntPulseGenMode_e

Enumeration to define the analog-to-digital converter (ADC) interrupt pulse generation mode.

Enumerator
ADC_IntPulseGenMode_During | Denotes that interrupt pulse generation occurs when the ADC begins conversion.
ADC_IntPulseGenMode_Prior | Denotes that interrupt pulse generation occurs 1 cycle prior to the ADC result latching.

Definition at line 279 of file adc.h.

enum ADC_IntSrc_e

Enumeration to define the analog-to-digital converter (ADC) interrupt source.

Enumerator
ADC_IntSrc_EOC0 | Denotes that interrupt source is the end of conversion for SOC0.
ADC_IntSrc_EOC1 | Denotes that interrupt source is the end of conversion for SOC1.
ADC_IntSrc_EOC2 | Denotes that interrupt source is the end of conversion for SOC2.
ADC_IntSrc_EOC3 | Denotes that interrupt source is the end of conversion for SOC3.
ADC_IntSrc_EOC4 | Denotes that interrupt source is the end of conversion for SOC4.
ADC_IntSrc_EOC5 | Denotes that interrupt source is the end of conversion for SOC5.
ADC_IntSrc_EOC6 | Denotes that interrupt source is the end of conversion for SOC6.
ADC_IntSrc_EOC7 | Denotes that interrupt source is the end of conversion for SOC7.
ADC_IntSrc_EOC8 | Denotes that interrupt source is the end of conversion for SOC8.
ADC_IntSrc_EOC9 | Denotes that interrupt source is the end of conversion for SOC9.
ADC_IntSrc_EOC10 | Denotes that interrupt source is the end of conversion for SOC10.
ADC_IntSrc_EOC11 | Denotes that interrupt source is the end of conversion for SOC11.
ADC_IntSrc_EOC12 | Denotes that interrupt source is the end of conversion for SOC12.
ADC_IntSrc_EOC13 | Denotes that interrupt source is the end of conversion for SOC13.
ADC_IntSrc_EOC14 | Denotes that interrupt source is the end of conversion for SOC14.
ADC_IntSrc_EOC15 | Denotes that interrupt source is the end of conversion for SOC15.

Definition at line 288 of file adc.h.

enum ADC_IntTriggerSOC_e

Enumeration to define the analog-to-digital converter (ADC) input trigger SOC Select 1 Register group of bits.

Enumerator
ADC_NoIntTriggersSOC | Denotes that no ADCINT will trigger SOCx. TRIGSEL field determines SOCx trigger.
ADC_Int1TriggersSOC | Denotes that ADCINT1 will trigger SOCx. TRIGSEL field is ignored.
ADC_Int2TriggersSOC | Denotes that ADCINT2 will trigger SOCx. TRIGSEL field is ignored.

Definition at line 269 of file adc.h.

enum ADC_ResultNumber_e

Enumeration to define the analog-to-digital converter (ADC) result number.

Enumerator
ADC_ResultNumber_0 | Denotes ADCRESULT0.
ADC_ResultNumber_1 | Denotes ADCRESULT1.
ADC_ResultNumber_2 | Denotes ADCRESULT2.
ADC_ResultNumber_3 | Denotes ADCRESULT3.
ADC_ResultNumber_4 | Denotes ADCRESULT4.
ADC_ResultNumber_5 | Denotes ADCRESULT5.
ADC_ResultNumber_6 | Denotes ADCRESULT6.
ADC_ResultNumber_7 | Denotes ADCRESULT7.
ADC_ResultNumber_8 | Denotes ADCRESULT8.
ADC_ResultNumber_9 | Denotes ADCRESULT9.
ADC_ResultNumber_10 | Denotes ADCRESULT10.
ADC_ResultNumber_11 | Denotes ADCRESULT11.
ADC_ResultNumber_12 | Denotes ADCRESULT12.
ADC_ResultNumber_13 | Denotes ADCRESULT13.
ADC_ResultNumber_14 | Denotes ADCRESULT14.
ADC_ResultNumber_15 | Denotes ADCRESULT15.

Definition at line 311 of file adc.h.

enum ADC_SampleMode_e

Enumeration to define the analog-to-digital converter (ADC) sample modes.

Enumerator
ADC_SampleMode_SOC0_and_SOC1_Separate | Denotes SOC0 and SOC1 are sampled separately.
ADC_SampleMode_SOC2_and_SOC3_Separate | Denotes SOC2 and SOC3 are sampled separately.
ADC_SampleMode_SOC4_and_SOC5_Separate | Denotes SOC4 and SOC5 are sampled separately.
ADC_SampleMode_SOC6_and_SOC7_Separate | Denotes SOC6 and SOC7 are sampled separately.
ADC_SampleMode_SOC8_and_SOC9_Separate | Denotes SOC8 and SOC9 are sampled separately.
ADC_SampleMode_SOC10_and_SOC11_Separate | Denotes SOC10 and SOC11 are sampled separately.
ADC_SampleMode_SOC12_and_SOC13_Separate | Denotes SOC12 and SOC13 are sampled separately.
ADC_SampleMode_SOC14_and_SOC15_Separate | Denotes SOC14 and SOC15 are sampled separately.
ADC_SampleMode_SOC0_and_SOC1_Together | Denotes SOC0 and SOC1 are sampled together.
ADC_SampleMode_SOC2_and_SOC3_Together | Denotes SOC2 and SOC3 are sampled together.
ADC_SampleMode_SOC4_and_SOC5_Together | Denotes SOC4 and SOC5 are sampled together.
ADC_SampleMode_SOC6_and_SOC7_Together | Denotes SOC6 and SOC7 are sampled together.
ADC_SampleMode_SOC8_and_SOC9_Together | Denotes SOC8 and SOC9 are sampled together.
ADC_SampleMode_SOC10_and_SOC11_Together | Denotes SOC10 and SOC11 are sampled together.
ADC_SampleMode_SOC12_and_SOC13_Together | Denotes SOC12 and SOC13 are sampled together.
ADC_SampleMode_SOC14_and_SOC15_Together | Denotes SOC14 and SOC15 are sampled together.

Definition at line 334 of file adc.h.

enum ADC_SocChanNumber_e

Enumeration to define the start of conversion (SOC) channel numbers.

Enumerator
ADC_SocChanNumber_A0 | Denotes SOC channel number A0.
ADC_SocChanNumber_A1 | Denotes SOC channel number A1.
ADC_SocChanNumber_A2 | Denotes SOC channel number A2.
ADC_SocChanNumber_A3 | Denotes SOC channel number A3.
ADC_SocChanNumber_A4 | Denotes SOC channel number A4.
ADC_SocChanNumber_A5 | Denotes SOC channel number A5.
ADC_SocChanNumber_A6 | Denotes SOC channel number A6.
ADC_SocChanNumber_A7 | Denotes SOC channel number A7.
ADC_SocChanNumber_B0 | Denotes SOC channel number B0.
ADC_SocChanNumber_B1 | Denotes SOC channel number B1.
ADC_SocChanNumber_B2 | Denotes SOC channel number B2.
ADC_SocChanNumber_B3 | Denotes SOC channel number B3.
ADC_SocChanNumber_B4 | Denotes SOC channel number B4.
ADC_SocChanNumber_B5 | Denotes SOC channel number B5.
ADC_SocChanNumber_B6 | Denotes SOC channel number B6.
ADC_SocChanNumber_B7 | Denotes SOC channel number B7.
ADC_SocChanNumber_A0_and_B0_Together | Denotes SOC channel number A0 and B0 together.
ADC_SocChanNumber_A1_and_B1_Together | Denotes SOC channel number A0 and B0 together.
ADC_SocChanNumber_A2_and_B2_Together | Denotes SOC channel number A0 and B0 together.
ADC_SocChanNumber_A3_and_B3_Together | Denotes SOC channel number A0 and B0 together.
ADC_SocChanNumber_A4_and_B4_Together | Denotes SOC channel number A0 and B0 together.
ADC_SocChanNumber_A5_and_B5_Together | Denotes SOC channel number A0 and B0 together.
ADC_SocChanNumber_A6_and_B6_Together | Denotes SOC channel number A0 and B0 together.
ADC_SocChanNumber_A7_and_B7_Together | Denotes SOC channel number A0 and B0 together.

Definition at line 357 of file adc.h.

enum ADC_SocFrc_e

Enumeration to define the soc force values.

Enumerator
ADC_SocFrc_0 | Denotes soc 0 forced conversion.
ADC_SocFrc_1 | Denotes soc 1 forced conversion.
ADC_SocFrc_2 | Denotes soc 2 forced conversion.
ADC_SocFrc_3 | Denotes soc 3 forced conversion.
ADC_SocFrc_4 | Denotes soc 4 forced conversion.
ADC_SocFrc_5 | Denotes soc 5 forced conversion.
ADC_SocFrc_6 | Denotes soc 6 forced conversion.
ADC_SocFrc_7 | Denotes soc 7 forced conversion.
ADC_SocFrc_8 | Denotes soc 8 forced conversion.
ADC_SocFrc_9 | Denotes soc 9 forced conversion.
ADC_SocFrc_10 | Denotes soc 10 forced conversion.
ADC_SocFrc_11 | Denotes soc 11 forced conversion.
ADC_SocFrc_12 | Denotes soc 12 forced conversion.
ADC_SocFrc_13 | Denotes soc 13 forced conversion.
ADC_SocFrc_14 | Denotes soc 14 forced conversion.
ADC_SocFrc_15 | Denotes soc 15 forced conversion.

Definition at line 502 of file adc.h.

enum ADC_SocNumber_e

Enumeration to define the start of conversion (SOC) numbers.

Enumerator
ADC_SocNumber_0 | Denotes SOC0.
ADC_SocNumber_1 | Denotes SOC1.
ADC_SocNumber_2 | Denotes SOC2.
ADC_SocNumber_3 | Denotes SOC3.
ADC_SocNumber_4 | Denotes SOC4.
ADC_SocNumber_5 | Denotes SOC5.
ADC_SocNumber_6 | Denotes SOC6.
ADC_SocNumber_7 | Denotes SOC7.
ADC_SocNumber_8 | Denotes SOC8.
ADC_SocNumber_9 | Denotes SOC9.
ADC_SocNumber_10 | Denotes SOC10.
ADC_SocNumber_11 | Denotes SOC11.
ADC_SocNumber_12 | Denotes SOC12.
ADC_SocNumber_13 | Denotes SOC13.
ADC_SocNumber_14 | Denotes SOC14.
ADC_SocNumber_15 | Denotes SOC15.

Definition at line 388 of file adc.h.

enum ADC_SocSampleDelay_e

Enumeration to define the start of conversion (SOC) sample delays.

Enumerator
ADC_SocSampleDelay_7_cycles | Denotes an SOC sample delay of 7 cycles.
ADC_SocSampleDelay_8_cycles | Denotes an SOC sample delay of 8 cycles.
ADC_SocSampleDelay_9_cycles | Denotes an SOC sample delay of 9 cycles.
ADC_SocSampleDelay_10_cycles | Denotes an SOC sample delay of 10 cycles.
ADC_SocSampleDelay_11_cycles | Denotes an SOC sample delay of 11 cycles.
ADC_SocSampleDelay_12_cycles | Denotes an SOC sample delay of 12 cycles.
ADC_SocSampleDelay_13_cycles | Denotes an SOC sample delay of 13 cycles.
ADC_SocSampleDelay_14_cycles | Denotes an SOC sample delay of 14 cycles.
ADC_SocSampleDelay_15_cycles | Denotes an SOC sample delay of 15 cycles.
ADC_SocSampleDelay_16_cycles | Denotes an SOC sample delay of 16 cycles.
ADC_SocSampleDelay_22_cycles | Denotes an SOC sample delay of 22 cycles.
ADC_SocSampleDelay_23_cycles | Denotes an SOC sample delay of 23 cycles.
ADC_SocSampleDelay_24_cycles | Denotes an SOC sample delay of 24 cycles.
ADC_SocSampleDelay_25_cycles | Denotes an SOC sample delay of 25 cycles.
ADC_SocSampleDelay_26_cycles | Denotes an SOC sample delay of 26 cycles.
ADC_SocSampleDelay_27_cycles | Denotes an SOC sample delay of 27 cycles.
ADC_SocSampleDelay_28_cycles | Denotes an SOC sample delay of 28 cycles.
ADC_SocSampleDelay_29_cycles | Denotes an SOC sample delay of 29 cycles.
ADC_SocSampleDelay_35_cycles | Denotes an SOC sample delay of 35 cycles.
ADC_SocSampleDelay_36_cycles | Denotes an SOC sample delay of 36 cycles.
ADC_SocSampleDelay_37_cycles | Denotes an SOC sample delay of 37 cycles.
ADC_SocSampleDelay_38_cycles | Denotes an SOC sample delay of 38 cycles.
ADC_SocSampleDelay_39_cycles | Denotes an SOC sample delay of 39 cycles.
ADC_SocSampleDelay_40_cycles | Denotes an SOC sample delay of 40 cycles.
ADC_SocSampleDelay_41_cycles | Denotes an SOC sample delay of 41 cycles.
ADC_SocSampleDelay_42_cycles | Denotes an SOC sample delay of 42 cycles.
ADC_SocSampleDelay_48_cycles | Denotes an SOC sample delay of 48 cycles.
ADC_SocSampleDelay_49_cycles | Denotes an SOC sample delay of 49 cycles.
ADC_SocSampleDelay_50_cycles | Denotes an SOC sample delay of 50 cycles.
ADC_SocSampleDelay_51_cycles | Denotes an SOC sample delay of 51 cycles.
ADC_SocSampleDelay_52_cycles | Denotes an SOC sample delay of 52 cycles.
ADC_SocSampleDelay_53_cycles | Denotes an SOC sample delay of 53 cycles.
ADC_SocSampleDelay_54_cycles | Denotes an SOC sample delay of 54 cycles.
ADC_SocSampleDelay_55_cycles | Denotes an SOC sample delay of 55 cycles.
ADC_SocSampleDelay_61_cycles | Denotes an SOC sample delay of 61 cycles.
ADC_SocSampleDelay_62_cycles | Denotes an SOC sample delay of 62 cycles.
ADC_SocSampleDelay_63_cycles | Denotes an SOC sample delay of 63 cycles.
ADC_SocSampleDelay_64_cycles | Denotes an SOC sample delay of 64 cycles.

Definition at line 411 of file adc.h.

enum ADC_SocTrigSrc_e

Enumeration to define the start of conversion (SOC) trigger source.

Enumerator
ADC_SocTrigSrc_Sw | Denotes a software trigger source for the SOC flag.
ADC_SocTrigSrc_CpuTimer_0 | Denotes a CPUTIMER0 trigger source for the SOC flag.
ADC_SocTrigSrc_CpuTimer_1 | Denotes a CPUTIMER1 trigger source for the SOC flag.
ADC_SocTrigSrc_CpuTimer_2 | Denotes a CPUTIMER2 trigger source for the SOC flag.
ADC_SocTrigSrc_XINT2_XINT2SOC | Denotes a XINT2, XINT2SOC trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM1_ADCSOCA | Denotes a EPWM1, ADCSOCA trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM1_ADCSOCB | Denotes a EPWM1, ADCSOCB trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM2_ADCSOCA | Denotes a EPWM2, ADCSOCA trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM2_ADCSOCB | Denotes a EPWM2, ADCSOCB trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM3_ADCSOCA | Denotes a EPWM3, ADCSOCA trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM3_ADCSOCB | Denotes a EPWM3, ADCSOCB trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM4_ADCSOCA | Denotes a EPWM4, ADCSOCA trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM4_ADCSOCB | Denotes a EPWM4, ADCSOCB trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM5_ADCSOCA | Denotes a EPWM5, ADCSOCA trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM5_ADCSOCB | Denotes a EPWM5, ADCSOCB trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM6_ADCSOCA | Denotes a EPWM6, ADCSOCA trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM6_ADCSOCB | Denotes a EPWM7, ADCSOCB trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM7_ADCSOCA | Denotes a EPWM7, ADCSOCA trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM7_ADCSOCB | Denotes a EPWM7, ADCSOCB trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM8_ADCSOCA | Denotes a EPWM8, ADCSOCA trigger source for the SOC flag.
ADC_SocTrigSrc_EPWM8_ADCSOCB | Denotes a EPWM8, ADCSOCB trigger source for the SOC flag.

Definition at line 456 of file adc.h.

enum ADC_TempSensorSrc_e

Enumeration to define the temperature sensor source.

Enumerator
ADC_TempSensorSrc_Ext | Denotes an external temperature source.
ADC_TempSensorSrc_Int | Denotes an internal temperature source.

Definition at line 484 of file adc.h.

enum ADC_VoltageRefSrc_e

Enumeration to define the voltage reference source.

Enumerator
ADC_VoltageRefSrc_Int | Denotes an internal voltage reference source.
ADC_VoltageRefSrc_Ext | Denotes an internal voltage reference source.

Definition at line 493 of file adc.h.

## Function Documentation

static void ADC_clearIntFlag | ( | ADC_Handle | adcHandle,
|  | const ADC_IntNumber_e | intNumber
| ) |  |
| inline static

Clears the analog-to-digital converter (ADC) interrupt flag.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | intNumber | The ADC interrupt number

Definition at line 578 of file adc.h.

References _ADC_Obj_::ADCINTFLGCLR.

void ADC_disable | ( | ADC_Handle | adcHandle | ) |

Disables the analog-to-digital converter (ADC)

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 59 of file adc.c.

References ADC_ADCCTL1_ADCENABLE_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_disableBandGap | ( | ADC_Handle | adcHandle | ) |

Disables the analog-to-digital converter (ADC) band gap circuit.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 74 of file adc.c.

References ADC_ADCCTL1_ADCBGPWD_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_disableInt | ( | ADC_Handle | adcHandle,
|  | const ADC_IntNumber_e | intNumber
| ) |  |

Disables the analog-to-digital converter (ADC) interrupt.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | intNumber | The interrupt number

Definition at line 90 of file adc.c.

References ADC_INTSELxNy_INTE_BITS, ADC_INTSELxNy_LOG2_NUMBITS_PER_REG, ADC_INTSELxNy_NUMBITS_PER_REG, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _ADC_Obj_::INTSELxNy.

void ADC_disableNoOverlapMode | ( | ADC_Handle | adcHandle | ) |

Disables no overlap mode.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 550 of file adc.c.

References ADC_ADCCTL2_ADCNONOVERLAP_BITS, _ADC_Obj_::ADCCTL2, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_disableRefBuffers | ( | ADC_Handle | adcHandle | ) |

Disables the analog-to-digital converter (ADC) reference buffers circuit.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 109 of file adc.c.

References ADC_ADCCTL1_ADCREFPWD_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_disableVoltRefLoConv | ( | ADC_Handle | adcHandle | ) |

Disables conversion of the voltage reference low signal for calibration.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 635 of file adc.c.

References ADC_ADCCTL1_VREFLOCONV_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_enable | ( | ADC_Handle | adcHandle | ) |

Enables the analog-to-digital converter (ADC)

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 125 of file adc.c.

References ADC_ADCCTL1_ADCENABLE_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_enableBandGap | ( | ADC_Handle | adcHandle | ) |

Enables the analog-to-digital converter (ADC) band gap circuit.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 141 of file adc.c.

References ADC_ADCCTL1_ADCBGPWD_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_enableInt | ( | ADC_Handle | adcHandle,
|  | const ADC_IntNumber_e | intNumber
| ) |  |

Enables the analog-to-digital converter (ADC) interrupt.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | intNumber | The interrupt number

Definition at line 157 of file adc.c.

References ADC_INTSELxNy_INTE_BITS, ADC_INTSELxNy_LOG2_NUMBITS_PER_REG, ADC_INTSELxNy_NUMBITS_PER_REG, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _ADC_Obj_::INTSELxNy.

void ADC_enableNoOverlapMode | ( | ADC_Handle | adcHandle | ) |

Enables no overlap mode.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 534 of file adc.c.

References ADC_ADCCTL2_ADCNONOVERLAP_BITS, _ADC_Obj_::ADCCTL2, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_enableRefBuffers | ( | ADC_Handle | adcHandle | ) |

Enables the analog-to-digital converter (ADC) reference buffers circuit.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 176 of file adc.c.

References ADC_ADCCTL1_ADCREFPWD_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_enableVoltRefLoConv | ( | ADC_Handle | adcHandle | ) |

Enables conversion of the voltage reference low signal for calibration.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 620 of file adc.c.

References ADC_ADCCTL1_VREFLOCONV_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

ADC_DivideSelect_e ADC_getDivideSelect | ( | ADC_Handle | adcHandle | ) |

Gets the analog-to-digital converter (ADC) divide select value.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Returns
  The divide select value

Definition at line 500 of file adc.c.

References ADC_ADCCTL2_CLKDIV2EN_BITS, ADC_ADCCTL2_CLKDIV4EN_BITS, ADC_DivideSelect_ClkIn_by_1, and _ADC_Obj_::ADCCTL2.

static bool ADC_getIntFlag | ( | ADC_Handle | adcHandle,
|  | const ADC_IntNumber_e | intNumber
| ) |  |
| inline static

Gets the analog-to-digital converter (ADC) interrupt flag.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | intNumber | The ADC interrupt number

Returns
  The ADC interrupt flag status

Definition at line 594 of file adc.h.

References _ADC_Obj_::ADCINTFLG.

static ADC_SocSampleDelay_e ADC_getSocSampleDelay | ( | ADC_Handle | adcHandle,
|  | const ADC_SocNumber_e | socNumber
| ) |  |
| inline static

Gets the analog-to-digital converter (ADC) start-of-conversion (SOC) sample delay value.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | socNumber | The SOC number

Returns
  The ADC sample delay value

Definition at line 659 of file adc.h.

References ADC_ADCSOCxCTL_ACQPS_BITS, and _ADC_Obj_::ADCSOCxCTL.

ADC_Handle ADC_init | ( | void * | pMemory,
|  | const size_t | numBytes
| ) |  |

Initializes the analog-to-digital converter (ADC) object handle.

Parameters

  [in] | pMemory | A pointer to the base address of the ADC registers
  [in] | numBytes | The number of bytes allocated for the ADC object, bytes

Returns
  The analog-to-digital converter (ADC) object handle

Definition at line 193 of file adc.c.

void ADC_powerDown | ( | ADC_Handle | adcHandle | ) |

Powers down the analog-to-digital converter (ADC)

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 209 of file adc.c.

References ADC_ADCCTL1_ADCPWDN_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_powerUp | ( | ADC_Handle | adcHandle | ) |

Powers up the analog-to-digital converter (ADC)

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 225 of file adc.c.

References ADC_ADCCTL1_ADCPWDN_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

static uint_least16_t ADC_readResult | ( | ADC_Handle | adcHandle,
|  | const ADC_ResultNumber_e | resultNumber
| ) |  |
| inline static

Reads the specified ADC result (i.e. value)

Parameters

  [in] | adcHandle | The ADC handle
  [in] | resultNumber | The result number for the ADCRESULT registers

Returns
  The ADC result

Definition at line 693 of file adc.h.

References _ADC_Obj_::ADCRESULT.

void ADC_reset | ( | ADC_Handle | adcHandle | ) |

Resets the analog-to-digital converter (ADC)

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle

Definition at line 241 of file adc.c.

References ADC_ADCCTL1_RESET_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_setDivideSelect | ( | ADC_Handle | adcHandle,
|  | const ADC_DivideSelect_e | divSelect
| ) |  |

Sets the analog-to-digital converter (ADC) divide select value.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | divSelect | The scale reference source

Definition at line 514 of file adc.c.

References ADC_ADCCTL2_CLKDIV2EN_BITS, ADC_ADCCTL2_CLKDIV4EN_BITS, _ADC_Obj_::ADCCTL2, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_setIntMode | ( | ADC_Handle | adcHandle,
|  | const ADC_IntNumber_e | intNumber,
|  | const ADC_IntMode_e | intMode
| ) |  |

Sets the interrupt mode.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | intNumber | The interrupt number
  [in] | intMode | The interrupt mode

Definition at line 276 of file adc.c.

References ADC_INTSELxNy_INTCONT_BITS, ADC_INTSELxNy_LOG2_NUMBITS_PER_REG, ADC_INTSELxNy_NUMBITS_PER_REG, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _ADC_Obj_::INTSELxNy.

void ADC_setIntPulseGenMode | ( | ADC_Handle | adcHandle,
|  | const ADC_IntPulseGenMode_e | pulseMode
| ) |  |

Sets the interrupt pulse generation mode.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | pulseMode | The pulse generation mode

Definition at line 300 of file adc.c.

References ADC_ADCCTL1_INTPULSEPOS_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_setIntSrc | ( | ADC_Handle | adcHandle,
|  | const ADC_IntNumber_e | intNumber,
|  | const ADC_IntSrc_e | intSrc
| ) |  |

Sets the interrupt source.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | intNumber | The interrupt number
  [in] | intSrc | The interrupt source

Definition at line 320 of file adc.c.

References ADC_INTSELxNy_INTSEL_BITS, ADC_INTSELxNy_LOG2_NUMBITS_PER_REG, ADC_INTSELxNy_NUMBITS_PER_REG, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _ADC_Obj_::INTSELxNy.

void ADC_setOffTrim | ( | ADC_Handle | adcHandle,
|  | const uint16_t | offtrim
| ) |  |

Sets the offset trim register.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | offtrim | The offset trim value

Definition at line 605 of file adc.c.

References _ADC_Obj_::ADCOFFTRIM, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_setSampleMode | ( | ADC_Handle | adcHandle,
|  | const ADC_SampleMode_e | sampleMode
| ) |  |

Sets the sample mode.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | sampleMode | The sample mode

Definition at line 346 of file adc.c.

References ADC_ADCSAMPLEMODE_SEPARATE_FLAG, _ADC_Obj_::ADCSAMPLEMODE, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_setSocChanNumber | ( | ADC_Handle | adcHandle,
|  | const ADC_SocNumber_e | socNumber,
|  | const ADC_SocChanNumber_e | chanNumber
| ) |  |

Sets the start-of-conversion (SOC) channel number.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | socNumber | The SOC number
  [in] | chanNumber | The channel number

Definition at line 368 of file adc.c.

References ADC_ADCSOCxCTL_CHSEL_BITS, _ADC_Obj_::ADCSOCxCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_setSocFrc | ( | ADC_Handle | adcHandle,
|  | const ADC_SocFrc_e | socFrc
| ) |  |

Sets the start-of-conversion (SOC) force register.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | socFrc | The SOC to be forced a conversion

Definition at line 428 of file adc.c.

References _ADC_Obj_::ADCSOCFRC1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_setSocFrcWord | ( | ADC_Handle | adcHandle,
|  | const uint16_t | socFrc
| ) |  |

Sets the entire start of conversion (SOC) force register.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | socFrc | The desired start of conversion force value

Definition at line 444 of file adc.c.

References _ADC_Obj_::ADCSOCFRC1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_setSocSampleDelay | ( | ADC_Handle | adcHandle,
|  | const ADC_SocNumber_e | socNumber,
|  | const ADC_SocSampleDelay_e | sampleDelay
| ) |  |

Sets the start-of-conversion (SOC) sample delay.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | socNumber | The SOC number
  [in] | sampleDelay | The sample delay

Definition at line 388 of file adc.c.

References ADC_ADCSOCxCTL_ACQPS_BITS, _ADC_Obj_::ADCSOCxCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_setSocTrigSrc | ( | ADC_Handle | adcHandle,
|  | const ADC_SocNumber_e | socNumber,
|  | const ADC_SocTrigSrc_e | trigSrc
| ) |  |

Sets the start-of-conversion (SOC) trigger source.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | socNumber | The SOC number
  [in] | trigSrc | The trigger delay

Definition at line 408 of file adc.c.

References ADC_ADCSOCxCTL_TRIGSEL_BITS, _ADC_Obj_::ADCSOCxCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_setTempSensorSrc | ( | ADC_Handle | adcHandle,
|  | const ADC_TempSensorSrc_e | sensorSrc
| ) |  |

Sets the temperature sensor source.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | sensorSrc | The temperature sensor source

Definition at line 460 of file adc.c.

References ADC_ADCCTL1_TEMPCONV_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_setupSocTrigSrc | ( | ADC_Handle | adcHandle,
|  | const ADC_SocNumber_e | socNumber,
|  | const ADC_IntTriggerSOC_e | intTrigSrc
| ) |  |

Sets the start of conversion (SOC) trigger source.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | socNumber | The start of conversion (SOC) number
  [in] | intTrigSrc | The interrupt trigger source

Definition at line 566 of file adc.c.

References ADC_ADCINTSOCSELx_SOCx_BITS, ADC_SocNumber_8, _ADC_Obj_::ADCINTSOCSEL1, _ADC_Obj_::ADCINTSOCSEL2, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void ADC_setVoltRefSrc | ( | ADC_Handle | adcHandle,
|  | const ADC_VoltageRefSrc_e | voltRef
| ) |  |

Sets the voltage reference source.

Parameters

  [in] | adcHandle | The analog-to-digital converter (ADC) object handle
  [in] | voltRef | The voltage reference source

Definition at line 480 of file adc.c.

References ADC_ADCCTL1_ADCREFSEL_BITS, _ADC_Obj_::ADCCTL1, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.